extends Area2D
#
#@export var damage: int
#

#func _on_area_entered(area: Area2D) -> void:
	#if area.is_in_group("hurtArea"):
		#area.hurt.emit(damage)

func damageHurtArea(_area: Area2D, _damage: int):
	if get_parent().is_in_group("timeGhost") and _area.get_parent() == Globals.getPlayer():
		print("time")
		return
	if _area.is_in_group("hurtArea"):
		_area.hurt.emit(_damage)
